package de.ronnyfriedland.maven.plugin;

/**
 * Enumeration contains ldap attributes used in the plugin.
 * 
 * @author Ronny Friedland
 */
public enum LdapAttributes {

    UNIQUEMEMBER("uniqueMember"), OU("ou"), CN("cn"), SERIALNUMBER("serialNumber"), UID("uid"), LABELED_URI(
            "labeledURI"), OBJECTCLASS("objectClass");

    private String value;

    private LdapAttributes(final String aValue) {
        this.value = aValue;
    }

    public String getValue() {
        return value;
    }
}
