package de.ronnyfriedland.maven.plugin.item;

/**
 * Item class that holds an array of strings.
 * 
 * @author Ronny Friedland
 */
public class StringArrayItem implements Item {
    private final String[] item;

    public StringArrayItem(final String... item) {
        this.item = item;
    }

    public String[] getItem() {
        return item;
    }
}