package de.ronnyfriedland.maven.plugin.value;

import de.ronnyfriedland.maven.plugin.item.Item;

public class ValueItem<T extends Item> {

    private final String key;
    private final T value;
    private final int mode;

    public ValueItem(final int mode, final String key, final T value) {
        this.mode = mode;
        this.key = key;
        this.value = value;
    }

    /**
     * @return gibt ein String zurück
     */
    public String getKey() {
        return key;
    }

    /**
     * @return gibt ein String zurück
     */
    public T getValue() {
        return value;
    }

    /**
     * @return gibt ein int zurück
     */
    public int getMode() {
        return mode;
    }
}